(*
  Brook framework, Consts Unit

  Copyright (C) 2014 Silvio Clecio

  See the file LICENSE.txt, included in this distribution,
  for details about the copyright.

  This library is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
*)

unit BrookConsts;

{$i brook.inc}

interface

const
  { Empty string. }
  ES = '';
  { Null string. }
  NS = 'null';
  { BR HTML tag. }
  BR = '<br />';
  { Param separator. }
  HS = ': ';
  { Line ending. }
  LE = LineEnding;
  { NULL }
  NU = #0;
  { TAB }
  HT = #9;
  { LF }
  LF = #10;
  { CR }
  CR = #13;
  { CRLF }
  CRLF = CR + LF;
  { Null date. }
  NullDate = 0;
  { Null time. }
  NullTime = 0;
  { Null datetime. }
  NullDateTime = 0;
  { Space. }
  SP = #32;
  { " }
  DQ = #34;
  { # }
  PO = #35;
  { % }
  PT = #37;
  { & }
  AM = #38;
  { ' }
  AP = #39;
  { ( }
  PS = #40;
  { ) }
  PE = #41;
  { * }
  AK = #42;
  { , }
  CS = #44;
  { . }
  DT = #46;
  { / }
  US = #47;
  { : }
  CO = #58;
  { ; }
  SC = #59;
  { < }
  LT = #60;
  { = }
  EQ = #61;
  { > }
  GT = #62;
  { ? }
  QU = #63;
  { @ }
  AT = #64;
  { \ }
  DS = #92;
  { [ }
  LS = #91;
  { ] }
  RS = #93;

  BROOK_GUID = '{D2BDD8EF-78C0-47CD-95C3-664CDFFDAA9E}';
  BROOK_APP_GUID = '{669B03B7-AA2D-4B64-AAFC-4FBD4A41267E}';
  BROOK_ERROR_MASK = '%s: %s';
  BROOK_GMT_FRMT = '%s, %.2d %s %d %.2d:%.2d:%.2d GMT';
  BROOK_UUID_MASK = '%.8x%.4x%.4x%.2x%.2x%.2x%.2x%.2x%.2x%.2x%.2x';
  BROOK_UUID_SEP_MASK = '%.8x-%.4x-%.4x-%.2x%.2x-%.2x%.2x%.2x%.2x%.2x%.2x';
  BROOK_OVERRIDDEN_METHOD = '_METHOD';
  BROOK_SESS_ID = 'BRKSESSID';
  BROOK_SESS_PREFIX = 'brook_sess_';
  { 3 minutes. }
  BROOK_SESS_DEFAULT_TIMEOUT = 3 * 60;
  BROOK_MAX_MIME_TYPE = 682;
  BROOK_MIME_TYPE: array[0..BROOK_MAX_MIME_TYPE, 0..2] of string = (
    ('3D Crossword Plugin', 'application/vnd.hzn-3d-crossword', '.x3d'),
    ('3GP', 'video/3gpp', '.3gp'),
    ('3GP2', 'video/3gpp2', '.3g2'),
    ('3GPP MSEQ File', 'application/vnd.mseq', '.mseq'),
    ('3M Post It Notes', 'application/vnd.3m.post-it-notes', '.pwn'),
    ('3rd Generation Partnership Project - Pic Large', 'application/vnd.3gpp.pic-bw-large', '.plb'),
    ('3rd Generation Partnership Project - Pic Small', 'application/vnd.3gpp.pic-bw-small', '.psb'),
    ('3rd Generation Partnership Project - Pic Var', 'application/vnd.3gpp.pic-bw-var', '.pvb'),
    ('3rd Generation Partnership Project - Transaction Capabilities Application Part', 'application/vnd.3gpp2.tcap', '.tcap'),
    ('7-Zip', 'application/x-7z-compressed', '.7z'),
    ('AbiWord', 'application/x-abiword', '.abw'),
    ('Ace Archive', 'application/x-ace-compressed', '.ace'),
    ('Active Content Compression', 'application/vnd.americandynamics.acc', '.acc'),
    ('ACU Cobol', 'application/vnd.acucobol', '.acu'),
    ('ACU Cobol', 'application/vnd.acucorp', '.atc'),
    ('Adaptive differential pulse-code modulation', 'audio/adpcm', '.adp'),
    ('Adobe (Macropedia) Authorware - Binary File', 'application/x-authorware-bin', '.aab'),
    ('Adobe (Macropedia) Authorware - Map', 'application/x-authorware-map', '.aam'),
    ('Adobe (Macropedia) Authorware - Segment File', 'application/x-authorware-seg', '.aas'),
    ('Adobe AIR Application', 'application/vnd.adobe.air-application-installer-package+zip', '.air'),
    ('Adobe Flash', 'application/x-shockwave-flash', '.swf'),
    ('Adobe Flex Project', 'application/vnd.adobe.fxp', '.fxp'),
    ('Adobe Portable Document Format', 'application/pdf', '.pdf'),
    ('Adobe PostScript Printer Description File Format', 'application/vnd.cups-ppd', '.ppd'),
    ('Adobe Shockwave Player', 'application/x-director', '.dir'),
    ('Adobe XML Data Package', 'application/vnd.adobe.xdp+xml', '.xdp'),
    ('Adobe XML Forms Data Format', 'application/vnd.adobe.xfdf', '.xfdf'),
    ('Advanced Audio Coding (AAC)', 'audio/x-aac', '.aac'),
    ('Ahead AIR Application', 'application/vnd.ahead.space', '.ahead'),
    ('AirZip FileSECURE', 'application/vnd.airzip.filesecure.azf', '.azf'),
    ('AirZip FileSECURE', 'application/vnd.airzip.filesecure.azs', '.azs'),
    ('Amazon Kindle eBook format', 'application/vnd.amazon.ebook', '.azw'),
    ('AmigaDE', 'application/vnd.amiga.ami', '.ami'),
    ('Andrew Toolkit', 'application/andrew-inset', 'N/A'),
    ('Android Package Archive', 'application/vnd.android.package-archive', '.apk'),
    ('ANSER-WEB Terminal Client - Certificate Issue', 'application/vnd.anser-web-certificate-issue-initiation', '.cii'),
    ('ANSER-WEB Terminal Client - Web Funds Transfer', 'application/vnd.anser-web-funds-transfer-initiation', '.fti'),
    ('Antix Game Player', 'application/vnd.antix.game-component', '.atx'),
    ('Apple Installer Package', 'application/vnd.apple.installer+xml', '.mpkg'),
    ('Applixware', 'application/applixware', '.aw'),
    ('Archipelago Lesson Player', 'application/vnd.hhe.lesson-player', '.les'),
    ('Arista Networks Software Image', 'application/vnd.aristanetworks.swi', '.swi'),
    ('Assembler Source File', 'text/x-asm', '.s'),
    ('Atom Publishing Protocol', 'application/atomcat+xml', '.atomcat'),
    ('Atom Publishing Protocol Service Document', 'application/atomsvc+xml', '.atomsvc'),
    ('Atom Syndication Format', 'application/atom+xml', '.atom, .xml'),
    ('Attribute Certificate', 'application/pkix-attr-cert', '.ac'),
    ('Audio Interchange File Format', 'audio/x-aiff', '.aif'),
    ('Audio Video Interleave (AVI)', 'video/x-msvideo', '.avi'),
    ('Audiograph', 'application/vnd.audiograph', '.aep'),
    ('AutoCAD DXF', 'image/vnd.dxf', '.dxf'),
    ('Autodesk Design Web Format (DWF)', 'model/vnd.dwf', '.dwf'),
    ('Binary CPIO Archive', 'application/x-bcpio', '.bcpio'),
    ('Binary Data', 'application/octet-stream', '.bin'),
    ('Bitmap Image File', 'image/bmp', '.bmp'),
    ('BitTorrent', 'application/x-bittorrent', '.torrent'),
    ('Blackberry COD File', 'application/vnd.rim.cod', '.cod'),
    ('Blueice Research Multipass', 'application/vnd.blueice.multipass', '.mpm'),
    ('BMI Drawing Data Interchange', 'application/vnd.bmi', '.bmi'),
    ('Bourne Shell Script', 'application/x-sh', '.sh'),
    ('BTIF', 'image/prs.btif', '.btif'),
    ('BusinessObjects', 'application/vnd.businessobjects', '.rep'),
    ('Bzip Archive', 'application/x-bzip', '.bz'),
    ('Bzip2 Archive', 'application/x-bzip2', '.bz2'),
    ('C Shell Script', 'application/x-csh', '.csh'),
    ('C Source File', 'text/x-c', '.c'),
    ('CambridgeSoft Chem Draw', 'application/vnd.chemdraw+xml', '.cdxml'),
    ('Cascading Style Sheets (CSS)', 'text/css', '.css'),
    ('ChemDraw eXchange file', 'chemical/x-cdx', '.cdx'),
    ('Chemical Markup Language', 'chemical/x-cml', '.cml'),
    ('Chemical Style Markup Language', 'chemical/x-csml', '.csml'),
    ('CIM Database', 'application/vnd.contact.cmsg', '.cdbcmsg'),
    ('Claymore Data Files', 'application/vnd.claymore', '.cla'),
    ('Clonk Game', 'application/vnd.clonk.c4group', '.c4g'),
    ('Close Captioning - Subtitle', 'image/vnd.dvb.subtitle', '.sub'),
    ('Cloud Data Management Interface (CDMI) - Capability', 'application/cdmi-capability', '.cdmia'),
    ('Cloud Data Management Interface (CDMI) - Contaimer', 'application/cdmi-container', '.cdmic'),
    ('Cloud Data Management Interface (CDMI) - Domain', 'application/cdmi-domain', '.cdmid'),
    ('Cloud Data Management Interface (CDMI) - Object', 'application/cdmi-object', '.cdmio'),
    ('Cloud Data Management Interface (CDMI) - Queue', 'application/cdmi-queue', '.cdmiq'),
    ('ClueTrust CartoMobile - Config', 'application/vnd.cluetrust.cartomobile-config', '.c11amc'),
    ('ClueTrust CartoMobile - Config Package', 'application/vnd.cluetrust.cartomobile-config-pkg', '.c11amz'),
    ('CMU Image', 'image/x-cmu-raster', '.ras'),
    ('COLLADA', 'model/vnd.collada+xml', '.dae'),
    ('Comma-Seperated Values', 'text/csv', '.csv'),
    ('Compact Pro', 'application/mac-compactpro', '.cpt'),
    ('Compiled Wireless Markup Language (WMLC)', 'application/vnd.wap.wmlc', '.wmlc'),
    ('Computer Graphics Metafile', 'image/cgm', '.cgm'),
    ('CoolTalk', 'x-conference/x-cooltalk', '.ice'),
    ('Corel Metafile Exchange (CMX)', 'image/x-cmx', '.cmx'),
    ('CorelXARA', 'application/vnd.xara', '.xar'),
    ('CosmoCaller', 'application/vnd.cosmocaller', '.cmc'),
    ('CPIO Archive', 'application/x-cpio', '.cpio'),
    ('CrickSoftware - Clicker', 'application/vnd.crick.clicker', '.clkx'),
    ('CrickSoftware - Clicker - Keyboard', 'application/vnd.crick.clicker.keyboard', '.clkk'),
    ('CrickSoftware - Clicker - Palette', 'application/vnd.crick.clicker.palette', '.clkp'),
    ('CrickSoftware - Clicker - Template', 'application/vnd.crick.clicker.template', '.clkt'),
    ('CrickSoftware - Clicker - Wordbank', 'application/vnd.crick.clicker.wordbank', '.clkw'),
    ('Critical Tools - PERT Chart EXPERT', 'application/vnd.criticaltools.wbs+xml', '.wbs'),
    ('CryptoNote', 'application/vnd.rig.cryptonote', '.cryptonote'),
    ('Crystallographic Interchange Format', 'chemical/x-cif', '.cif'),
    ('CrystalMaker Data Format', 'chemical/x-cmdf', '.cmdf'),
    ('CU-SeeMe', 'application/cu-seeme', '.cu'),
    ('CU-Writer', 'application/prs.cww', '.cww'),
    ('Curl - Applet', 'text/vnd.curl', '.curl'),
    ('Curl - Detached Applet', 'text/vnd.curl.dcurl', '.dcurl'),
    ('Curl - Manifest File', 'text/vnd.curl.mcurl', '.mcurl'),
    ('Curl - Source Code', 'text/vnd.curl.scurl', '.scurl'),
    ('CURL Applet', 'application/vnd.curl.car', '.car'),
    ('CURL Applet', 'application/vnd.curl.pcurl', '.pcurl'),
    ('CustomMenu', 'application/vnd.yellowriver-custom-menu', '.cmp'),
    ('Data Structure for the Security Suitability of Cryptographic Algorithms', 'application/dssc+der', '.dssc'),
    ('Data Structure for the Security Suitability of Cryptographic Algorithms', 'application/dssc+xml', '.xdssc'),
    ('Debian Package', 'application/x-debian-package', '.deb'),
    ('DECE Audio', 'audio/vnd.dece.audio', '.uva'),
    ('DECE Graphic', 'image/vnd.dece.graphic', '.uvi'),
    ('DECE High Definition Video', 'video/vnd.dece.hd', '.uvh'),
    ('DECE Mobile Video', 'video/vnd.dece.mobile', '.uvm'),
    ('DECE MP4', 'video/vnd.uvvu.mp4', '.uvu'),
    ('DECE PD Video', 'video/vnd.dece.pd', '.uvp'),
    ('DECE SD Video', 'video/vnd.dece.sd', '.uvs'),
    ('DECE Video', 'video/vnd.dece.video', '.uvv'),
    ('Device Independent File Format (DVI)', 'application/x-dvi', '.dvi'),
    ('Digital Siesmograph Networks - SEED Datafiles', 'application/vnd.fdsn.seed', '.seed'),
    ('Digital Talking Book', 'application/x-dtbook+xml', '.dtb'),
    ('Digital Talking Book - Resource File', 'application/x-dtbresource+xml', '.res'),
    ('Digital Video Broadcasting', 'application/vnd.dvb.ait', '.ait'),
    ('Digital Video Broadcasting', 'application/vnd.dvb.service', '.svc'),
    ('Digital Winds Music', 'audio/vnd.digital-winds', '.eol'),
    ('DjVu', 'image/vnd.djvu', '.djvu'),
    ('Document Type Definition', 'application/xml-dtd', '.dtd'),
    ('Dolby Meridian Lossless Packing', 'application/vnd.dolby.mlp', '.mlp'),
    ('Doom Video Game', 'application/x-doom', '.wad'),
    ('DPGraph', 'application/vnd.dpgraph', '.dpg'),
    ('DRA Audio', 'audio/vnd.dra', '.dra'),
    ('DreamFactory', 'application/vnd.dreamfactory', '.dfac'),
    ('DTS Audio', 'audio/vnd.dts', '.dts'),
    ('DTS High Definition Audio', 'audio/vnd.dts.hd', '.dtshd'),
    ('DWG Drawing', 'image/vnd.dwg', '.dwg'),
    ('DynaGeo', 'application/vnd.dynageo', '.geo'),
    ('ECMAScript', 'application/ecmascript', '.es'),
    ('EcoWin Chart', 'application/vnd.ecowin.chart', '.mag'),
    ('EDMICS 2000', 'image/vnd.fujixerox.edmics-mmr', '.mmr'),
    ('EDMICS 2000', 'image/vnd.fujixerox.edmics-rlc', '.rlc'),
    ('Efficient XML Interchange', 'application/exi', '.exi'),
    ('EFI Proteus', 'application/vnd.proteus.magazine', '.mgz'),
    ('Electronic Publication', 'application/epub+zip', '.epub'),
    ('Email Message', 'message/rfc822', '.eml'),
    ('Enliven Viewer', 'application/vnd.enliven', '.nml'),
    ('Express by Infoseek', 'application/vnd.is-xpr', '.xpr'),
    ('eXtended Image File Format (XIFF)', 'image/vnd.xiff', '.xif'),
    ('Extensible Forms Description Language', 'application/vnd.xfdl', '.xfdl'),
    ('Extensible MultiModal Annotation', 'application/emma+xml', '.emma'),
    ('EZPix Secure Photo Album', 'application/vnd.ezpix-album', '.ez2'),
    ('EZPix Secure Photo Album', 'application/vnd.ezpix-package', '.ez3'),
    ('FAST Search & Transfer ASA', 'image/vnd.fst', '.fst'),
    ('FAST Search & Transfer ASA', 'video/vnd.fvt', '.fvt'),
    ('FastBid Sheet', 'image/vnd.fastbidsheet', '.fbs'),
    ('FCS Express Layout Link', 'application/vnd.denovo.fcselayout-link', '.fe_launch'),
    ('Flash Video', 'video/x-f4v', '.f4v'),
    ('Flash Video', 'video/x-flv', '.flv'),
    ('FlashPix', 'image/vnd.fpx', '.fpx'),
    ('FlashPix', 'image/vnd.net-fpx', '.npx'),
    ('FLEXSTOR', 'text/vnd.fmi.flexstor', '.flx'),
    ('FLI/FLC Animation Format', 'video/x-fli', '.fli'),
    ('FluxTime Clip', 'application/vnd.fluxtime.clip', '.ftc'),
    ('Forms Data Format', 'application/vnd.fdf', '.fdf'),
    ('Fortran Source File', 'text/x-fortran', '.f'),
    ('FrameMaker Interchange Format', 'application/vnd.mif', '.mif'),
    ('FrameMaker Normal Format', 'application/vnd.framemaker', '.fm'),
    ('FreeHand MX', 'image/x-freehand', '.fh'),
    ('Friendly Software Corporation', 'application/vnd.fsc.weblaunch', '.fsc'),
    ('Frogans Player', 'application/vnd.frogans.fnc', '.fnc'),
    ('Frogans Player', 'application/vnd.frogans.ltf', '.ltf'),
    ('Fujitsu - Xerox 2D CAD Data', 'application/vnd.fujixerox.ddd', '.ddd'),
    ('Fujitsu - Xerox DocuWorks', 'application/vnd.fujixerox.docuworks', '.xdw'),
    ('Fujitsu - Xerox DocuWorks Binder', 'application/vnd.fujixerox.docuworks.binder', '.xbd'),
    ('Fujitsu Oasys', 'application/vnd.fujitsu.oasys', '.oas'),
    ('Fujitsu Oasys', 'application/vnd.fujitsu.oasys2', '.oa2'),
    ('Fujitsu Oasys', 'application/vnd.fujitsu.oasys3', '.oa3'),
    ('Fujitsu Oasys', 'application/vnd.fujitsu.oasysgp', '.fg5'),
    ('Fujitsu Oasys', 'application/vnd.fujitsu.oasysprs', '.bh2'),
    ('FutureSplash Animator', 'application/x-futuresplash', '.spl'),
    ('FuzzySheet', 'application/vnd.fuzzysheet', '.fzs'),
    ('G3 Fax Image', 'image/g3fax', '.g3'),
    ('GameMaker ActiveX', 'application/vnd.gmx', '.gmx'),
    ('Gen-Trix Studio', 'model/vnd.gtw', '.gtw'),
    ('Genomatix Tuxedo Framework', 'application/vnd.genomatix.tuxedo', '.txd'),
    ('GeoGebra', 'application/vnd.geogebra.file', '.ggb'),
    ('GeoGebra', 'application/vnd.geogebra.tool', '.ggt'),
    ('Geometric Description Language (GDL)', 'model/vnd.gdl', '.gdl'),
    ('GeoMetry Explorer', 'application/vnd.geometry-explorer', '.gex'),
    ('GEONExT and JSXGraph', 'application/vnd.geonext', '.gxt'),
    ('GeoplanW', 'application/vnd.geoplan', '.g2w'),
    ('GeospacW', 'application/vnd.geospace', '.g3w'),
    ('Ghostscript Font', 'application/x-font-ghostscript', '.gsf'),
    ('Glyph Bitmap Distribution Format', 'application/x-font-bdf', '.bdf'),
    ('GNU Tar Files', 'application/x-gtar', '.gtar'),
    ('GNU Texinfo Document', 'application/x-texinfo', '.texinfo'),
    ('Gnumeric', 'application/x-gnumeric', '.gnumeric'),
    ('Google Earth - KML', 'application/vnd.google-earth.kml+xml', '.kml'),
    ('Google Earth - Zipped KML', 'application/vnd.google-earth.kmz', '.kmz'),
    ('GrafEq', 'application/vnd.grafeq', '.gqf'),
    ('Graphics Interchange Format', 'image/gif', '.gif'),
    ('Graphviz', 'text/vnd.graphviz', '.gv'),
    ('Groove - Account', 'application/vnd.groove-account', '.gac'),
    ('Groove - Help', 'application/vnd.groove-help', '.ghf'),
    ('Groove - Identity Message', 'application/vnd.groove-identity-message', '.gim'),
    ('Groove - Injector', 'application/vnd.groove-injector', '.grv'),
    ('Groove - Tool Message', 'application/vnd.groove-tool-message', '.gtm'),
    ('Groove - Tool Template', 'application/vnd.groove-tool-template', '.tpl'),
    ('Groove - Vcard', 'application/vnd.groove-vcard', '.vcg'),
    ('H.261', 'video/h261', '.h261'),
    ('H.263', 'video/h263', '.h263'),
    ('H.264', 'video/h264', '.h264'),
    ('Hewlett Packard Instant Delivery', 'application/vnd.hp-hpid', '.hpid'),
    ('Hewlett-Packard''s WebPrintSmart', 'application/vnd.hp-hps', '.hps'),
    ('Hierarchical Data Format', 'application/x-hdf', '.hdf'),
    ('Hit''n''Mix', 'audio/vnd.rip', '.rip'),
    ('Homebanking Computer Interface (HBCI)', 'application/vnd.hbci', '.hbci'),
    ('HP Indigo Digital Press - Job Layout Languate', 'application/vnd.hp-jlyt', '.jlt'),
    ('HP Printer Command Language', 'application/vnd.hp-pcl', '.pcl'),
    ('HP-GL/2 and HP RTL', 'application/vnd.hp-hpgl', '.hpgl'),
    ('HV Script', 'application/vnd.yamaha.hv-script', '.hvs'),
    ('HV Voice Dictionary', 'application/vnd.yamaha.hv-dic', '.hvd'),
    ('HV Voice Parameter', 'application/vnd.yamaha.hv-voice', '.hvp'),
    ('Hydrostatix Master Suite', 'application/vnd.hydrostatix.sof-data', '.sfd-hdstx'),
    ('Hyperstudio', 'application/hyperstudio', '.stk'),
    ('Hypertext Application Language', 'application/vnd.hal+xml', '.hal'),
    ('HyperText Markup Language (HTML)', 'text/html', '.html'),
    ('IBM DB2 Rights Manager', 'application/vnd.ibm.rights-management', '.irm'),
    ('IBM Electronic Media Management System - Secure Container', 'application/vnd.ibm.secure-container', '.sc'),
    ('iCalendar', 'text/calendar', '.ics'),
    ('ICC profile', 'application/vnd.iccprofile', '.icc'),
    ('Icon Image', 'image/x-icon', '.ico'),
    ('igLoader', 'application/vnd.igloader', '.igl'),
    ('Image Exchange Format', 'image/ief', '.ief'),
    ('ImmerVision PURE Players', 'application/vnd.immervision-ivp', '.ivp'),
    ('ImmerVision PURE Players', 'application/vnd.immervision-ivu', '.ivu'),
    ('IMS Networks', 'application/reginfo+xml', '.rif'),
    ('In3D - 3DML', 'text/vnd.in3d.3dml', '.3dml'),
    ('In3D - 3DML', 'text/vnd.in3d.spot', '.spot'),
    ('Initial Graphics Exchange Specification (IGES)', 'model/iges', '.igs'),
    ('Interactive Geometry Software', 'application/vnd.intergeo', '.i2g'),
    ('Interactive Geometry Software Cinderella', 'application/vnd.cinderella', '.cdy'),
    ('Intercon FormNet', 'application/vnd.intercon.formnet', '.xpw'),
    ('International Society for Advancement of Cytometry', 'application/vnd.isac.fcs', '.fcs'),
    ('Internet Protocol Flow Information Export', 'application/ipfix', '.ipfix'),
    ('Internet Public Key Infrastructure - Certificate', 'application/pkix-cert', '.cer'),
    ('Internet Public Key Infrastructure - Certificate Management Protocole', 'application/pkixcmp', '.pki'),
    ('Internet Public Key Infrastructure - Certificate Revocation Lists', 'application/pkix-crl', '.crl'),
    ('Internet Public Key Infrastructure - Certification Path', 'application/pkix-pkipath', '.pkipath'),
    ('IOCOM Visimeet', 'application/vnd.insors.igm', '.igm'),
    ('IP Unplugged Roaming Client', 'application/vnd.ipunplugged.rcprofile', '.rcprofile'),
    ('iRepository / Lucidoc Editor', 'application/vnd.irepository.package+xml', '.irp'),
    ('J2ME App Descriptor', 'text/vnd.sun.j2me.app-descriptor', '.jad'),
    ('Java Archive', 'application/java-archive', '.jar'),
    ('Java Bytecode File', 'application/java-vm', '.class'),
    ('Java Network Launching Protocol', 'application/x-java-jnlp-file', '.jnlp'),
    ('Java Serialized Object', 'application/java-serialized-object', '.ser'),
    ('Java Source File', 'text/x-java-source,java', '.java'),
    ('JavaScript', 'application/javascript', '.js'),
    ('JavaScript Object Notation (JSON)', 'application/json', '.json'),
    ('Joda Archive', 'application/vnd.joost.joda-archive', '.joda'),
    ('JPEG 2000 Compound Image File Format', 'video/jpm', '.jpm'),
    ('JPEG Image', 'image/jpeg', '.jpeg, .jpg'),
    ('JPGVideo', 'video/jpeg', '.jpgv'),
    ('Kahootz', 'application/vnd.kahootz', '.ktz'),
    ('Karaoke on Chipnuts Chipsets', 'application/vnd.chipnuts.karaoke-mmd', '.mmd'),
    ('KDE KOffice Office Suite - Karbon', 'application/vnd.kde.karbon', '.karbon'),
    ('KDE KOffice Office Suite - KChart', 'application/vnd.kde.kchart', '.chrt'),
    ('KDE KOffice Office Suite - Kformula', 'application/vnd.kde.kformula', '.kfo'),
    ('KDE KOffice Office Suite - Kivio', 'application/vnd.kde.kivio', '.flw'),
    ('KDE KOffice Office Suite - Kontour', 'application/vnd.kde.kontour', '.kon'),
    ('KDE KOffice Office Suite - Kpresenter', 'application/vnd.kde.kpresenter', '.kpr'),
    ('KDE KOffice Office Suite - Kspread', 'application/vnd.kde.kspread', '.ksp'),
    ('KDE KOffice Office Suite - Kword', 'application/vnd.kde.kword', '.kwd'),
    ('Kenamea App', 'application/vnd.kenameaapp', '.htke'),
    ('Kidspiration', 'application/vnd.kidspiration', '.kia'),
    ('Kinar Applications', 'application/vnd.kinar', '.kne'),
    ('Kodak Storyshare', 'application/vnd.kodak-descriptor', '.sse'),
    ('Laser App Enterprise', 'application/vnd.las.las+xml', '.lasxml'),
    ('LaTeX', 'application/x-latex', '.latex'),
    ('Life Balance - Desktop Edition', 'application/vnd.llamagraphics.life-balance.desktop', '.lbd'),
    ('Life Balance - Exchange Format', 'application/vnd.llamagraphics.life-balance.exchange+xml', '.lbe'),
    ('Lightspeed Audio Lab', 'application/vnd.jam', '.jam'),
    ('Lotus 1-2-3', 'application/vnd.lotus-1-2-3', '.123'),
    ('Lotus Approach', 'application/vnd.lotus-approach', '.apr'),
    ('Lotus Freelance', 'application/vnd.lotus-freelance', '.pre'),
    ('Lotus Notes', 'application/vnd.lotus-notes', '.nsf'),
    ('Lotus Organizer', 'application/vnd.lotus-organizer', '.org'),
    ('Lotus Screencam', 'application/vnd.lotus-screencam', '.scm'),
    ('Lotus Wordpro', 'application/vnd.lotus-wordpro', '.lwp'),
    ('Lucent Voice', 'audio/vnd.lucent.voice', '.lvp'),
    ('M3U (Multimedia Playlist)', 'audio/x-mpegurl', '.m3u'),
    ('M4v', 'video/x-m4v', '.m4v'),
    ('Macintosh BinHex 4.0', 'application/mac-binhex40', '.hqx'),
    ('MacPorts Port System', 'application/vnd.macports.portpkg', '.portpkg'),
    ('MapGuide DBXML', 'application/vnd.osgeo.mapguide.package', '.mgp'),
    ('MARC Formats', 'application/marc', '.mrc'),
    ('MARC21 XML Schema', 'application/marcxml+xml', '.mrcx'),
    ('Material Exchange Format', 'application/mxf', '.mxf'),
    ('Mathematica Notebook Player', 'application/vnd.wolfram.player', '.nbp'),
    ('Mathematica Notebooks', 'application/mathematica', '.ma'),
    ('Mathematical Markup Language', 'application/mathml+xml', '.mathml'),
    ('Mbox database files', 'application/mbox', '.mbox'),
    ('MedCalc', 'application/vnd.medcalcdata', '.mc1'),
    ('Media Server Control Markup Language', 'application/mediaservercontrol+xml', '.mscml'),
    ('MediaRemote', 'application/vnd.mediastation.cdkey', '.cdkey'),
    ('Medical Waveform Encoding Format', 'application/vnd.mfer', '.mwf'),
    ('Melody Format for Mobile Platform', 'application/vnd.mfmp', '.mfm'),
    ('Mesh Data Type', 'model/mesh', '.msh'),
    ('Metadata Authority Description Schema', 'application/mads+xml', '.mads'),
    ('Metadata Encoding and Transmission Standard', 'application/mets+xml', '.mets'),
    ('Metadata Object Description Schema', 'application/mods+xml', '.mods'),
    ('Metalink', 'application/metalink4+xml', '.meta4'),
    ('Micosoft PowerPoint - Macro-Enabled Template File', 'application/vnd.ms-powerpoint.template.macroenabled.12', '.potm'),
    ('Micosoft Word - Macro-Enabled Document', 'application/vnd.ms-word.document.macroenabled.12', '.docm'),
    ('Micosoft Word - Macro-Enabled Template', 'application/vnd.ms-word.template.macroenabled.12', '.dotm'),
    ('Micro CADAM Helix D&D', 'application/vnd.mcd', '.mcd'),
    ('Micrografx', 'application/vnd.micrografx.flo', '.flo'),
    ('Micrografx iGrafx Professional', 'application/vnd.micrografx.igx', '.igx'),
    ('MICROSEC e-Szign¢', 'application/vnd.eszigno3+xml', '.es3'),
    ('Microsoft Access', 'application/x-msaccess', '.mdb'),
    ('Microsoft Advanced Systems Format (ASF)', 'video/x-ms-asf', '.asf'),
    ('Microsoft Application', 'application/x-msdownload', '.exe'),
    ('Microsoft Artgalry', 'application/vnd.ms-artgalry', '.cil'),
    ('Microsoft Cabinet File', 'application/vnd.ms-cab-compressed', '.cab'),
    ('Microsoft Class Server', 'application/vnd.ms-ims', '.ims'),
    ('Microsoft ClickOnce', 'application/x-ms-application', '.application'),
    ('Microsoft Clipboard Clip', 'application/x-msclip', '.clp'),
    ('Microsoft Document Imaging Format', 'image/vnd.ms-modi', '.mdi'),
    ('Microsoft Embedded OpenType', 'application/vnd.ms-fontobject', '.eot'),
    ('Microsoft Excel', 'application/vnd.ms-excel', '.xls'),
    ('Microsoft Excel - Add-In File', 'application/vnd.ms-excel.addin.macroenabled.12', '.xlam'),
    ('Microsoft Excel - Binary Workbook', 'application/vnd.ms-excel.sheet.binary.macroenabled.12', '.xlsb'),
    ('Microsoft Excel - Macro-Enabled Template File', 'application/vnd.ms-excel.template.macroenabled.12', '.xltm'),
    ('Microsoft Excel - Macro-Enabled Workbook', 'application/vnd.ms-excel.sheet.macroenabled.12', '.xlsm'),
    ('Microsoft Html Help File', 'application/vnd.ms-htmlhelp', '.chm'),
    ('Microsoft Information Card', 'application/x-mscardfile', '.crd'),
    ('Microsoft Learning Resource Module', 'application/vnd.ms-lrm', '.lrm'),
    ('Microsoft MediaView', 'application/x-msmediaview', '.mvb'),
    ('Microsoft Money', 'application/x-msmoney', '.mny'),
    ('Microsoft Office - OOXML - Presentation', 'application/vnd.openxmlformats-officedocument.presentationml.presentation', '.pptx'),
    ('Microsoft Office - OOXML - Presentation (Slide)', 'application/vnd.openxmlformats-officedocument.presentationml.slide', '.sldx'),
    ('Microsoft Office - OOXML - Presentation (Slideshow)', 'application/vnd.openxmlformats-officedocument.presentationml.slideshow', '.ppsx'),
    ('Microsoft Office - OOXML - Presentation Template', 'application/vnd.openxmlformats-officedocument.presentationml.template', '.potx'),
    ('Microsoft Office - OOXML - Spreadsheet', 'application/vnd.openxmlformats-officedocument.spreadsheetml.sheet', '.xlsx'),
    ('Microsoft Office - OOXML - Spreadsheet Teplate', 'application/vnd.openxmlformats-officedocument.spreadsheetml.template', '.xltx'),
    ('Microsoft Office - OOXML - Word Document', 'application/vnd.openxmlformats-officedocument.wordprocessingml.document', '.docx'),
    ('Microsoft Office - OOXML - Word Document Template', 'application/vnd.openxmlformats-officedocument.wordprocessingml.template', '.dotx'),
    ('Microsoft Office Binder', 'application/x-msbinder', '.obd'),
    ('Microsoft Office System Release Theme', 'application/vnd.ms-officetheme', '.thmx'),
    ('Microsoft OneNote', 'application/onenote', '.onetoc'),
    ('Microsoft PlayReady Ecosystem', 'audio/vnd.ms-playready.media.pya', '.pya'),
    ('Microsoft PlayReady Ecosystem Video', 'video/vnd.ms-playready.media.pyv', '.pyv'),
    ('Microsoft PowerPoint', 'application/vnd.ms-powerpoint', '.ppt'),
    ('Microsoft PowerPoint - Add-in file', 'application/vnd.ms-powerpoint.addin.macroenabled.12', '.ppam'),
    ('Microsoft PowerPoint - Macro-Enabled Open XML Slide', 'application/vnd.ms-powerpoint.slide.macroenabled.12', '.sldm'),
    ('Microsoft PowerPoint - Macro-Enabled Presentation File', 'application/vnd.ms-powerpoint.presentation.macroenabled.12', '.pptm'),
    ('Microsoft PowerPoint - Macro-Enabled Slide Show File', 'application/vnd.ms-powerpoint.slideshow.macroenabled.12', '.ppsm'),
    ('Microsoft Project', 'application/vnd.ms-project', '.mpp'),
    ('Microsoft Publisher', 'application/x-mspublisher', '.pub'),
    ('Microsoft Schedule+', 'application/x-msschedule', '.scd'),
    ('Microsoft Silverlight', 'application/x-silverlight-app', '.xap'),
    ('Microsoft Trust UI Provider - Certificate Trust Link', 'application/vnd.ms-pki.stl', '.stl'),
    ('Microsoft Trust UI Provider - Security Catalog', 'application/vnd.ms-pki.seccat', '.cat'),
    ('Microsoft Visio', 'application/vnd.visio', '.vsd'),
    ('Microsoft Windows Media', 'video/x-ms-wm', '.wm'),
    ('Microsoft Windows Media Audio', 'audio/x-ms-wma', '.wma'),
    ('Microsoft Windows Media Audio Redirector', 'audio/x-ms-wax', '.wax'),
    ('Microsoft Windows Media Audio/Video Playlist', 'video/x-ms-wmx', '.wmx'),
    ('Microsoft Windows Media Player Download Package', 'application/x-ms-wmd', '.wmd'),
    ('Microsoft Windows Media Player Playlist', 'application/vnd.ms-wpl', '.wpl'),
    ('Microsoft Windows Media Player Skin Package', 'application/x-ms-wmz', '.wmz'),
    ('Microsoft Windows Media Video', 'video/x-ms-wmv', '.wmv'),
    ('Microsoft Windows Media Video Playlist', 'video/x-ms-wvx', '.wvx'),
    ('Microsoft Windows Metafile', 'application/x-msmetafile', '.wmf'),
    ('Microsoft Windows Terminal Services', 'application/x-msterminal', '.trm'),
    ('Microsoft Word', 'application/msword', '.doc'),
    ('Microsoft Wordpad', 'application/x-mswrite', '.wri'),
    ('Microsoft Works', 'application/vnd.ms-works', '.wps'),
    ('Microsoft XAML Browser Application', 'application/x-ms-xbap', '.xbap'),
    ('Microsoft XML Paper Specification', 'application/vnd.ms-xpsdocument', '.xps'),
    ('MIDI - Musical Instrument Digital Interface', 'audio/midi', '.mid'),
    ('MiniPay', 'application/vnd.ibm.minipay', '.mpy'),
    ('MO:DCA-P', 'application/vnd.ibm.modcap', '.afp'),
    ('Mobile Information Device Profile', 'application/vnd.jcp.javame.midlet-rms', '.rms'),
    ('MobileTV', 'application/vnd.tmobile-livetv', '.tmo'),
    ('Mobipocket', 'application/x-mobipocket-ebook', '.prc'),
    ('Mobius Management Systems - Basket file', 'application/vnd.mobius.mbk', '.mbk'),
    ('Mobius Management Systems - Distribution Database', 'application/vnd.mobius.dis', '.dis'),
    ('Mobius Management Systems - Policy Definition Language File', 'application/vnd.mobius.plc', '.plc'),
    ('Mobius Management Systems - Query File', 'application/vnd.mobius.mqy', '.mqy'),
    ('Mobius Management Systems - Script Language', 'application/vnd.mobius.msl', '.msl'),
    ('Mobius Management Systems - Topic Index File', 'application/vnd.mobius.txf', '.txf'),
    ('Mobius Management Systems - UniversalArchive', 'application/vnd.mobius.daf', '.daf'),
    ('mod_fly / fly.cgi', 'text/vnd.fly', '.fly'),
    ('Mophun Certificate', 'application/vnd.mophun.certificate', '.mpc'),
    ('Mophun VM', 'application/vnd.mophun.application', '.mpn'),
    ('Motion JPEG 2000', 'video/mj2', '.mj2'),
    ('MPEG Audio', 'audio/mpeg', '.mpga'),
    ('MPEG Url', 'video/vnd.mpegurl', '.mxu'),
    ('MPEG Video', 'video/mpeg', '.mpeg'),
    ('MPEG-21', 'application/mp21', '.m21'),
    ('MPEG-4 Audio', 'audio/mp4', '.mp4a'),
    ('MPEG-4 Video', 'video/mp4', '.mp4'),
    ('MPEG4', 'application/mp4', '.mp4'),
    ('Multimedia Playlist Unicode', 'application/vnd.apple.mpegurl', '.m3u8'),
    ('MUsical Score Interpreted Code Invented for the ASCII designation of Notation', 'application/vnd.musician', '.mus'),
    ('Muvee Automatic Video Editing', 'application/vnd.muvee.style', '.msty'),
    ('MXML', 'application/xv+xml', '.mxml'),
    ('N-Gage Game Data', 'application/vnd.nokia.n-gage.data', '.ngdat'),
    ('N-Gage Game Installer', 'application/vnd.nokia.n-gage.symbian.install', '.n-gage'),
    ('Navigation Control file for XML (for ePub)', 'application/x-dtbncx+xml', '.ncx'),
    ('Network Common Data Form (NetCDF)', 'application/x-netcdf', '.nc'),
    ('neuroLanguage', 'application/vnd.neurolanguage.nlu', '.nlu'),
    ('New Moon Liftoff/DNA', 'application/vnd.dna', '.dna'),
    ('NobleNet Directory', 'application/vnd.noblenet-directory', '.nnd'),
    ('NobleNet Sealer', 'application/vnd.noblenet-sealer', '.nns'),
    ('NobleNet Web', 'application/vnd.noblenet-web', '.nnw'),
    ('Nokia Radio Application - Preset', 'application/vnd.nokia.radio-preset', '.rpst'),
    ('Nokia Radio Application - Preset', 'application/vnd.nokia.radio-presets', '.rpss'),
    ('Notation3', 'text/n3', '.n3'),
    ('Novadigm''s RADIA and EDM products', 'application/vnd.novadigm.edm', '.edm'),
    ('Novadigm''s RADIA and EDM products', 'application/vnd.novadigm.edx', '.edx'),
    ('Novadigm''s RADIA and EDM products', 'application/vnd.novadigm.ext', '.ext'),
    ('NpGraphIt', 'application/vnd.flographit', '.gph'),
    ('Nuera ECELP 4800', 'audio/vnd.nuera.ecelp4800', '.ecelp4800'),
    ('Nuera ECELP 7470', 'audio/vnd.nuera.ecelp7470', '.ecelp7470'),
    ('Nuera ECELP 9600', 'audio/vnd.nuera.ecelp9600', '.ecelp9600'),
    ('Office Document Architecture', 'application/oda', '.oda'),
    ('Ogg', 'application/ogg', '.ogx'),
    ('Ogg Audio', 'audio/ogg', '.oga'),
    ('Ogg Video', 'video/ogg', '.ogv'),
    ('OMA Download Agents', 'application/vnd.oma.dd2+xml', '.dd2'),
    ('Open Document Text Web', 'application/vnd.oasis.opendocument.text-web', '.oth'),
    ('Open eBook Publication Structure', 'application/oebps-package+xml', '.opf'),
    ('Open Financial Exchange', 'application/vnd.intu.qbo', '.qbo'),
    ('Open Office Extension', 'application/vnd.openofficeorg.extension', '.oxt'),
    ('Open Score Format', 'application/vnd.yamaha.openscoreformat', '.osf'),
    ('Open Web Media Project - Audio', 'audio/webm', '.weba'),
    ('Open Web Media Project - Video', 'video/webm', '.webm'),
    ('OpenDocument Chart', 'application/vnd.oasis.opendocument.chart', '.odc'),
    ('OpenDocument Chart Template', 'application/vnd.oasis.opendocument.chart-template', '.otc'),
    ('OpenDocument Database', 'application/vnd.oasis.opendocument.database', '.odb'),
    ('OpenDocument Formula', 'application/vnd.oasis.opendocument.formula', '.odf'),
    ('OpenDocument Formula Template', 'application/vnd.oasis.opendocument.formula-template', '.odft'),
    ('OpenDocument Graphics', 'application/vnd.oasis.opendocument.graphics', '.odg'),
    ('OpenDocument Graphics Template', 'application/vnd.oasis.opendocument.graphics-template', '.otg'),
    ('OpenDocument Image', 'application/vnd.oasis.opendocument.image', '.odi'),
    ('OpenDocument Image Template', 'application/vnd.oasis.opendocument.image-template', '.oti'),
    ('OpenDocument Presentation', 'application/vnd.oasis.opendocument.presentation', '.odp'),
    ('OpenDocument Presentation Template', 'application/vnd.oasis.opendocument.presentation-template', '.otp'),
    ('OpenDocument Spreadsheet', 'application/vnd.oasis.opendocument.spreadsheet', '.ods'),
    ('OpenDocument Spreadsheet Template', 'application/vnd.oasis.opendocument.spreadsheet-template', '.ots'),
    ('OpenDocument Text', 'application/vnd.oasis.opendocument.text', '.odt'),
    ('OpenDocument Text Master', 'application/vnd.oasis.opendocument.text-master', '.odm'),
    ('OpenDocument Text Template', 'application/vnd.oasis.opendocument.text-template', '.ott'),
    ('OpenGL Textures (KTX)', 'image/ktx', '.ktx'),
    ('OpenOffice - Calc (Spreadsheet)', 'application/vnd.sun.xml.calc', '.sxc'),
    ('OpenOffice - Calc Template (Spreadsheet)', 'application/vnd.sun.xml.calc.template', '.stc'),
    ('OpenOffice - Draw (Graphics)', 'application/vnd.sun.xml.draw', '.sxd'),
    ('OpenOffice - Draw Template (Graphics)', 'application/vnd.sun.xml.draw.template', '.std'),
    ('OpenOffice - Impress (Presentation)', 'application/vnd.sun.xml.impress', '.sxi'),
    ('OpenOffice - Impress Template (Presentation)', 'application/vnd.sun.xml.impress.template', '.sti'),
    ('OpenOffice - Math (Formula)', 'application/vnd.sun.xml.math', '.sxm'),
    ('OpenOffice - Writer (Text - HTML)', 'application/vnd.sun.xml.writer', '.sxw'),
    ('OpenOffice - Writer (Text - HTML)', 'application/vnd.sun.xml.writer.global', '.sxg'),
    ('OpenOffice - Writer Template (Text - HTML)', 'application/vnd.sun.xml.writer.template', '.stw'),
    ('OpenType Font File', 'application/x-font-otf', '.otf'),
    ('OSFPVG', 'application/vnd.yamaha.openscoreformat.osfpvg+xml', '.osfpvg'),
    ('OSGi Deployment Package', 'application/vnd.osgi.dp', '.dp'),
    ('PalmOS Data', 'application/vnd.palm', '.pdb'),
    ('Pascal Source File', 'text/x-pascal', '.p'),
    ('PawaaFILE', 'application/vnd.pawaafile', '.paw'),
    ('PCL 6 Enhanced (Formely PCL XL)', 'application/vnd.hp-pclxl', '.pclxl'),
    ('Pcsel eFIF File', 'application/vnd.picsel', '.efif'),
    ('PCX Image', 'image/x-pcx', '.pcx'),
    ('Photoshop Document', 'image/vnd.adobe.photoshop', '.psd'),
    ('PICSRules', 'application/pics-rules', '.prf'),
    ('PICT Image', 'image/x-pict', '.pic'),
    ('pIRCh', 'application/x-chat', '.chat'),
    ('PKCS #10 - Certification Request Standard', 'application/pkcs10', '.p10'),
    ('PKCS #12 - Personal Information Exchange Syntax Standard', 'application/x-pkcs12', '.p12'),
    ('PKCS #7 - Cryptographic Message Syntax Standard', 'application/pkcs7-mime', '.p7m'),
    ('PKCS #7 - Cryptographic Message Syntax Standard', 'application/pkcs7-signature', '.p7s'),
    ('PKCS #7 - Cryptographic Message Syntax Standard (Certificate Request Response)', 'application/x-pkcs7-certreqresp', '.p7r'),
    ('PKCS #7 - Cryptographic Message Syntax Standard (Certificates)', 'application/x-pkcs7-certificates', '.p7b'),
    ('PKCS #8 - Private-Key Information Syntax Standard', 'application/pkcs8', '.p8'),
    ('PocketLearn Viewers', 'application/vnd.pocketlearn', '.plf'),
    ('Portable Anymap Image', 'image/x-portable-anymap', '.pnm'),
    ('Portable Bitmap Format', 'image/x-portable-bitmap', '.pbm'),
    ('Portable Compiled Format', 'application/x-font-pcf', '.pcf'),
    ('Portable Font Resource', 'application/font-tdpfr', '.pfr'),
    ('Portable Game Notation (Chess Games)', 'application/x-chess-pgn', '.pgn'),
    ('Portable Graymap Format', 'image/x-portable-graymap', '.pgm'),
    ('Portable Network Graphics (PNG)', 'image/png', '.png'),
    ('Portable Pixmap Format', 'image/x-portable-pixmap', '.ppm'),
    ('Portable Symmetric Key Container', 'application/pskc+xml', '.pskcxml'),
    ('PosML', 'application/vnd.ctc-posml', '.pml'),
    ('PostScript', 'application/postscript', '.ai'),
    ('PostScript Fonts', 'application/x-font-type1', '.pfa'),
    ('PowerBuilder', 'application/vnd.powerbuilder6', '.pbd'),
    ('Pretty Good Privacy', 'application/pgp-encrypted', ''),
    ('Pretty Good Privacy - Signature', 'application/pgp-signature', '.pgp'),
    ('Preview Systems ZipLock/VBox', 'application/vnd.previewsystems.box', '.box'),
    ('Princeton Video Image', 'application/vnd.pvi.ptid1', '.ptid'),
    ('Pronunciation Lexicon Specification', 'application/pls+xml', '.pls'),
    ('Proprietary P&G Standard Reporting System', 'application/vnd.pg.format', '.str'),
    ('Proprietary P&G Standard Reporting System', 'application/vnd.pg.osasli', '.ei6'),
    ('PRS Lines Tag', 'text/prs.lines.tag', '.dsc'),
    ('PSF Fonts', 'application/x-font-linux-psf', '.psf'),
    ('PubliShare Objects', 'application/vnd.publishare-delta-tree', '.qps'),
    ('Qualcomm''s Plaza Mobile Internet', 'application/vnd.pmi.widget', '.wg'),
    ('QuarkXpress', 'application/vnd.quark.quarkxpress', '.qxd'),
    ('QUASS Stream Player', 'application/vnd.epson.esf', '.esf'),
    ('QUASS Stream Player', 'application/vnd.epson.msf', '.msf'),
    ('QUASS Stream Player', 'application/vnd.epson.ssf', '.ssf'),
    ('QuickAnime Player', 'application/vnd.epson.quickanime', '.qam'),
    ('Quicken', 'application/vnd.intu.qfx', '.qfx'),
    ('Quicktime Video', 'video/quicktime', '.qt'),
    ('RAR Archive', 'application/x-rar-compressed', '.rar'),
    ('Real Audio Sound', 'audio/x-pn-realaudio', '.ram'),
    ('Real Audio Sound', 'audio/x-pn-realaudio-plugin', '.rmp'),
    ('Really Simple Discovery', 'application/rsd+xml', '.rsd'),
    ('RealMedia', 'application/vnd.rn-realmedia', '.rm'),
    ('RealVNC', 'application/vnd.realvnc.bed', '.bed'),
    ('Recordare Applications', 'application/vnd.recordare.musicxml', '.mxl'),
    ('Recordare Applications', 'application/vnd.recordare.musicxml+xml', '.musicxml'),
    ('Relax NG Compact Syntax', 'application/relax-ng-compact-syntax', '.rnc'),
    ('RemoteDocs R-Viewer', 'application/vnd.data-vision.rdz', '.rdz'),
    ('Resource Description Framework', 'application/rdf+xml', '.rdf'),
    ('RetroPlatform Player', 'application/vnd.cloanto.rp9', '.rp9'),
    ('RhymBox', 'application/vnd.jisp', '.jisp'),
    ('Rich Text Format', 'application/rtf', '.rtf'),
    ('Rich Text Format (RTF)', 'text/richtext', '.rtx'),
    ('ROUTE 66 Location Based Services', 'application/vnd.route66.link66+xml', '.link66'),
    ('RSS - Really Simple Syndication', 'application/rss+xml', '.rss, .xml'),
    ('S Hexdump Format', 'application/shf+xml', '.shf'),
    ('SailingTracker', 'application/vnd.sailingtracker.track', '.st'),
    ('Scalable Vector Graphics (SVG)', 'image/svg+xml', '.svg'),
    ('ScheduleUs', 'application/vnd.sus-calendar', '.sus'),
    ('Search/Retrieve via URL Response Format', 'application/sru+xml', '.sru'),
    ('Secure Electronic Transaction - Payment', 'application/set-payment-initiation', '.setpay'),
    ('Secure Electronic Transaction - Registration', 'application/set-registration-initiation', '.setreg'),
    ('Secured eMail', 'application/vnd.sema', '.sema'),
    ('Secured eMail', 'application/vnd.semd', '.semd'),
    ('Secured eMail', 'application/vnd.semf', '.semf'),
    ('SeeMail', 'application/vnd.seemail', '.see'),
    ('Server Normal Format', 'application/x-font-snf', '.snf'),
    ('Server-Based Certificate Validation Protocol - Validation Policies - Request', 'application/scvp-vp-request', '.spq'),
    ('Server-Based Certificate Validation Protocol - Validation Policies - Response', 'application/scvp-vp-response', '.spp'),
    ('Server-Based Certificate Validation Protocol - Validation Request', 'application/scvp-cv-request', '.scq'),
    ('Server-Based Certificate Validation Protocol - Validation Response', 'application/scvp-cv-response', '.scs'),
    ('Session Description Protocol', 'application/sdp', '.sdp'),
    ('Setext', 'text/x-setext', '.etx'),
    ('SGI Movie', 'video/x-sgi-movie', '.movie'),
    ('Shana Informed Filler', 'application/vnd.shana.informed.formdata', '.ifm'),
    ('Shana Informed Filler', 'application/vnd.shana.informed.formtemplate', '.itp'),
    ('Shana Informed Filler', 'application/vnd.shana.informed.interchange', '.iif'),
    ('Shana Informed Filler', 'application/vnd.shana.informed.package', '.ipk'),
    ('Sharing Transaction Fraud Data', 'application/thraud+xml', '.tfi'),
    ('Shell Archive', 'application/x-shar', '.shar'),
    ('Silicon Graphics RGB Bitmap', 'image/x-rgb', '.rgb'),
    ('SimpleAnimeLite Player', 'application/vnd.epson.salt', '.slt'),
    ('Simply Accounting', 'application/vnd.accpac.simply.aso', '.aso'),
    ('Simply Accounting - Data Import', 'application/vnd.accpac.simply.imp', '.imp'),
    ('SimTech MindMapper', 'application/vnd.simtech-mindmapper', '.twd'),
    ('Sixth Floor Media - CommonSpace', 'application/vnd.commonspace', '.csp'),
    ('SMAF Audio', 'application/vnd.yamaha.smaf-audio', '.saf'),
    ('SMAF File', 'application/vnd.smaf', '.mmf'),
    ('SMAF Phrase', 'application/vnd.yamaha.smaf-phrase', '.spf'),
    ('SMART Technologies Apps', 'application/vnd.smart.teacher', '.teacher'),
    ('SourceView Document', 'application/vnd.svd', '.svd'),
    ('SPARQL - Query', 'application/sparql-query', '.rq'),
    ('SPARQL - Results', 'application/sparql-results+xml', '.srx'),
    ('Speech Recognition Grammar Specification', 'application/srgs', '.gram'),
    ('Speech Recognition Grammar Specification - XML', 'application/srgs+xml', '.grxml'),
    ('Speech Synthesis Markup Language', 'application/ssml+xml', '.ssml'),
    ('SSEYO Koan Play File', 'application/vnd.koan', '.skp'),
    ('Standard Generalized Markup Language (SGML)', 'text/sgml', '.sgml'),
    ('StarOffice - Calc', 'application/vnd.stardivision.calc', '.sdc'),
    ('StarOffice - Draw', 'application/vnd.stardivision.draw', '.sda'),
    ('StarOffice - Impress', 'application/vnd.stardivision.impress', '.sdd'),
    ('StarOffice - Math', 'application/vnd.stardivision.math', '.smf'),
    ('StarOffice - Writer', 'application/vnd.stardivision.writer', '.sdw'),
    ('StarOffice - Writer (Global)', 'application/vnd.stardivision.writer-global', '.sgl'),
    ('StepMania', 'application/vnd.stepmania.stepchart', '.sm'),
    ('Stuffit Archive', 'application/x-stuffit', '.sit'),
    ('Stuffit Archive', 'application/x-stuffitx', '.sitx'),
    ('SudokuMagic', 'application/vnd.solent.sdkm+xml', '.sdkm'),
    ('Sugar Linux Application Bundle', 'application/vnd.olpc-sugar', '.xo'),
    ('Sun Audio - Au file format', 'audio/basic', '.au'),
    ('SundaHus WQ', 'application/vnd.wqd', '.wqd'),
    ('Symbian Install Package', 'application/vnd.symbian.install', '.sis'),
    ('Synchronized Multimedia Integration Language', 'application/smil+xml', '.smi'),
    ('SyncML', 'application/vnd.syncml+xml', '.xsm'),
    ('SyncML - Device Management', 'application/vnd.syncml.dm+wbxml', '.bdm'),
    ('SyncML - Device Management', 'application/vnd.syncml.dm+xml', '.xdm'),
    ('System V Release 4 CPIO Archive', 'application/x-sv4cpio', '.sv4cpio'),
    ('System V Release 4 CPIO Checksum Data', 'application/x-sv4crc', '.sv4crc'),
    ('Systems Biology Markup Language', 'application/sbml+xml', '.sbml'),
    ('Tab Seperated Values', 'text/tab-separated-values', '.tsv'),
    ('Tagged Image File Format', 'image/tiff', '.tiff'),
    ('Tao Intent', 'application/vnd.tao.intent-module-archive', '.tao'),
    ('Tar File (Tape Archive)', 'application/x-tar', '.tar'),
    ('Tcl Script', 'application/x-tcl', '.tcl'),
    ('TeX', 'application/x-tex', '.tex'),
    ('TeX Font Metric', 'application/x-tex-tfm', '.tfm'),
    ('Text Encoding and Interchange', 'application/tei+xml', '.tei'),
    ('Text File', 'text/plain', '.txt'),
    ('TIBCO Spotfire', 'application/vnd.spotfire.dxp', '.dxp'),
    ('TIBCO Spotfire', 'application/vnd.spotfire.sfs', '.sfs'),
    ('Time Stamped Data Envelope', 'application/timestamped-data', '.tsd'),
    ('TRI Systems Config', 'application/vnd.trid.tpt', '.tpt'),
    ('Triscape Map Explorer', 'application/vnd.triscape.mxs', '.mxs'),
    ('troff', 'text/troff', '.t'),
    ('True BASIC', 'application/vnd.trueapp', '.tra'),
    ('TrueType Font', 'application/x-font-ttf', '.ttf'),
    ('Turtle (Terse RDF Triple Language)', 'text/turtle', '.ttl'),
    ('UMAJIN', 'application/vnd.umajin', '.umj'),
    ('Unique Object Markup Language', 'application/vnd.uoml+xml', '.uoml'),
    ('Unity 3d', 'application/vnd.unity', '.unityweb'),
    ('Universal Forms Description Language', 'application/vnd.ufdl', '.ufd'),
    ('URI Resolution Services', 'text/uri-list', '.uri'),
    ('User Interface Quartz - Theme (Symbian)', 'application/vnd.uiq.theme', '.utz'),
    ('Ustar (Uniform Standard Tape Archive)', 'application/x-ustar', '.ustar'),
    ('UUEncode', 'text/x-uuencode', '.uu'),
    ('vCalendar', 'text/x-vcalendar', '.vcs'),
    ('vCard', 'text/x-vcard', '.vcf'),
    ('Video CD', 'application/x-cdlink', '.vcd'),
    ('Viewport+', 'application/vnd.vsf', '.vsf'),
    ('Virtual Reality Modeling Language', 'model/vrml', '.wrl'),
    ('VirtualCatalog', 'application/vnd.vcx', '.vcx'),
    ('Virtue MTS', 'model/vnd.mts', '.mts'),
    ('Virtue VTU', 'model/vnd.vtu', '.vtu'),
    ('Visionary', 'application/vnd.visionary', '.vis'),
    ('Vivo', 'video/vnd.vivo', '.viv'),
    ('Voice Browser Call Control', 'application/ccxml+xml,', '.ccxml'),
    ('VoiceXML', 'application/voicexml+xml', '.vxml'),
    ('WAIS Source', 'application/x-wais-source', '.src'),
    ('WAP Binary XML (WBXML)', 'application/vnd.wap.wbxml', '.wbxml'),
    ('WAP Bitamp (WBMP)', 'image/vnd.wap.wbmp', '.wbmp'),
    ('Waveform Audio File Format (WAV)', 'audio/x-wav', '.wav'),
    ('Web Distributed Authoring and Versioning', 'application/davmount+xml', '.davmount'),
    ('Web Open Font Format', 'application/x-font-woff', '.woff'),
    ('Web Services Policy', 'application/wspolicy+xml', '.wspolicy'),
    ('WebP Image', 'image/webp', '.webp'),
    ('WebTurbo', 'application/vnd.webturbo', '.wtb'),
    ('Widget Packaging and XML Configuration', 'application/widget', '.wgt'),
    ('WinHelp', 'application/winhlp', '.hlp'),
    ('Wireless Markup Language (WML)', 'text/vnd.wap.wml', '.wml'),
    ('Wireless Markup Language Script (WMLScript)', 'text/vnd.wap.wmlscript', '.wmls'),
    ('WMLScript', 'application/vnd.wap.wmlscriptc', '.wmlsc'),
    ('Wordperfect', 'application/vnd.wordperfect', '.wpd'),
    ('Worldtalk', 'application/vnd.wt.stf', '.stf'),
    ('WSDL - Web Services Description Language', 'application/wsdl+xml', '.wsdl'),
    ('X BitMap', 'image/x-xbitmap', '.xbm'),
    ('X PixMap', 'image/x-xpixmap', '.xpm'),
    ('X Window Dump', 'image/x-xwindowdump', '.xwd'),
    ('X.509 Certificate', 'application/x-x509-ca-cert', '.der'),
    ('Xfig', 'application/x-xfig', '.fig'),
    ('XHTML - The Extensible HyperText Markup Language', 'application/xhtml+xml', '.xhtml'),
    ('XML - Extensible Markup Language', 'application/xml', '.xml'),
    ('XML Configuration Access Protocol - XCAP Diff', 'application/xcap-diff+xml', '.xdf'),
    ('XML Encryption Syntax and Processing', 'application/xenc+xml', '.xenc'),
    ('XML Patch Framework', 'application/patch-ops-error+xml', '.xer'),
    ('XML Resource Lists', 'application/resource-lists+xml', '.rl'),
    ('XML Resource Lists', 'application/rls-services+xml', '.rs'),
    ('XML Resource Lists Diff', 'application/resource-lists-diff+xml', '.rld'),
    ('XML Transformations', 'application/xslt+xml', '.xslt'),
    ('XML-Binary Optimized Packaging', 'application/xop+xml', '.xop'),
    ('XPInstall - Mozilla', 'application/x-xpinstall', '.xpi'),
    ('XSPF - XML Shareable Playlist Format', 'application/xspf+xml', '.xspf'),
    ('XUL - XML User Interface Language', 'application/vnd.mozilla.xul+xml', '.xul'),
    ('XYZ File Format', 'chemical/x-xyz', '.xyz'),
    ('YANG Data Modeling Language', 'application/yang', '.yang'),
    ('YIN (YANG - XML)', 'application/yin+xml', '.yin'),
    ('Z.U.L. Geometry', 'application/vnd.zul', '.zir'),
    ('Zip Archive', 'application/zip', '.zip'),
    ('ZVUE Media Manager', 'application/vnd.handheld-entertainment+xml', '.zmm'),
    ('Zzazz Deck', 'application/vnd.zzazz.deck+xml', '.zaz')
  );

var
  DefInt: Integer = 0;
  DefInt64: Int64 = 0;
  DefBool: Boolean = False;
  DefTime: TTime = NullTime;
  DefDate: TDate = NullDate;
  DefDateTime: TDateTime = NullDateTime;
  DefFloat: Double = 0;
  DefCurrency: Currency = 0;
  BROOK_HTTP_DAEMON_DESCRIPTION: string = 'Brook HTTP daemon.';
  BROOK_HTTP_DAEMON_DISPLAYNAME: string = 'Brook daemon';
  BROOK_HTTP_DAEMON_NAME: string = 'BrookHttpDaemon';
  BROOK_HTTP_DAEMON_CLASSNAME: string = 'TBrookHttpDaemon';

implementation

end.
